# call.incoming

HTML: https://www.app2email.com/docs/api/webhooks/call.incoming · Index: https://www.app2email.com/docs/api/llms.txt

A WhatsApp user calls the number (with their SDP offer). Answer with POST /calls within 30 to 60 s.

Group: Calling. Header `X-App2email-Event: call.incoming`. Inside the envelope `{id, type, created, number, test?, data}` ([envelope, headers, signature](https://www.app2email.com/docs/api/webhooks.md)). Every webhook of the number gets every number event: filter by `type`.

## data

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `data.call_id` | string | yes |  |
| `data.status` | string |  | call.status: ringing, accepted, rejected, connect, created, completed, failed, recording_available, transcription_available. |
| `data.direction` | string |  | Meta's; without it, from the SDP type or the numbers.; one of: `user_initiated`, `business_initiated` |
| `data.event` | string |  | Meta's event: connect, call_created, terminate ... |
| `data.from` | string |  |  |
| `data.from_user_id` | string |  |  |
| `data.to` | string |  |  |
| `data.to_user_id` | string |  |  |
| `data.contact` | object |  |  |
| `data.contact.name` | string |  |  |
| `data.contact.wa_id` | string |  |  |
| `data.contact.user_id` | string |  |  |
| `data.session` | object |  |  |
| `data.session.sdp_type` | string | yes | one of: `offer`, `answer` |
| `data.session.sdp` | string | yes | RFC 8866 SDP. |
| `data.start_time` | string |  |  |
| `data.end_time` | string |  |  |
| `data.duration_seconds` | integer |  |  |
| `data.biz_opaque_callback_data` | string |  |  |
| `data.error` | object |  |  |
| `data.error.code` | integer |  |  |
| `data.error.message` | string |  |  |
| `data.error.details` | string |  |  |
| `data.recording` | object |  |  |
| `data.recording.media_id` | string |  |  |
| `data.recording.mime_type` | string |  |  |
| `data.transcription` | object |  |  |
| `data.transcription.media_id` | string |  |  |
| `data.transcription.mime_type` | string |  |  |
| `data.timestamp` | string |  |  |
| `data.whatsapp` | object |  | Meta's call or status object as received.; any keys |

## Samples

### incoming

```json
{
  "id": "evt_Kc7m2Qw9Lp4Xr8Tz1Va1",
  "type": "call.incoming",
  "created": "2026-11-06T01:00:00.000Z",
  "number": "4976659348270",
  "data": {
    "call_id": "wacid.HBgLMTY1MDU1NTEyMzQVAgARGCBBQkNERUY",
    "direction": "user_initiated",
    "event": "connect",
    "from": "61412345678",
    "to": "4976659348270",
    "contact": {
      "name": "Sample Contact",
      "wa_id": "61412345678"
    },
    "session": {
      "sdp_type": "offer",
      "sdp": "v=0\r\no=- 7669997803033704573 2 IN IP4 127.0.0.1\r\ns=-\r\nt=0 0\r\n..."
    },
    "timestamp": "2026-11-06T01:00:00.000Z",
    "whatsapp": {
      "id": "wacid.HBgLMTY1MDU1NTEyMzQVAgARGCBBQkNERUY",
      "from": "61412345678",
      "to": "4976659348270",
      "event": "connect",
      "timestamp": "1793926800",
      "direction": "USER_INITIATED",
      "session": {
        "sdp_type": "offer",
        "sdp": "v=0..."
      }
    }
  }
}
```

Send it to your URL: https://www.app2email.com/docs/api/webhooks/tester?type=call.incoming
